import request from '@/utils/request'

// 月计划管理- 查询列表
export function listMonthlyPlanAPI(query) {
    return request({
        url: '/monthlyPlan/getMonthlyPlanList',
        method: 'GET',
        params: query,
    })
}

// 月计划管理- 新增
export function addMonthlyPlanAPI(data) {
    return request({
        url: '/monthlyPlan/addMonthlyPlan',
        method: 'POST',
        data,
    })
}

// 月计划管理- 修改
export function updateMonthlyPlanAPI(data) {
    return request({
        url: '/monthlyPlan/updateMonthlyPlan',
        method: 'POST',
        data,
    })
}
// 月计划管理- 获取详情
export function getMonthlyPlanDetailAPI(data) {
    return request({
        url: '/monthlyPlan/getMonthlyPlanById',
        method: 'GET',
        params: data,
    })
}

// 月计划管理- 删除
export function delMonthlyPlanAPI(data) {
    return request({
        url: `/monthlyPlan/delMonthlyPlan`,
        method: 'POST',
        data,
    })
}

// 月计划新增计划时的弹框- 查询列表
export function listMonthlyPlanPopupAPI(query) {
    return request({
        url: '/planManagement/getPlanManagementLists',
        method: 'GET',
        params: query,
    })
}
